# Cinemas corporation system built on pure JavaEE
[![Coverage report](https://gitlab.le-memese.com/s3rius/corporative_systems2/badges/master/coverage.svg?job=test)](https://gitlab.le-memese.com/s3rius/corporative_systems2)

System that helps people to manage cinemas tickets and their customers.

## We help You with your business
This project will be convenient for your business in performing following actions:
* Check stats of your cinema;
* See all your customers info;
* Manage your ticketing system.

## Visual style

Our project provides the best visual style built on top of modern design patterns.
The best designers were involved such as Pavel Kirilin and Andrei Belousov.

## Easy to run and deploy

You can start boosting up your business by simple command `make run` on unix systems or `docker-compose up` on every other system.

#### System requirements
You can run it from everywhere, if it has maven or docker installed.

### Also our service provides rich api with following endpoints

* /api/{format}/{entity}/list
* /api/{format}/{entity}/item/{id}

Where formats can be:
- json
- xml
- xlst

And entities:
- cinemas
- users
- tickets